<?php

namespace App\Http\Requests\ItemMaster;

use Illuminate\Foundation\Http\FormRequest;

class SectionTemplateUpdateRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'title' => 'sometimes|string|max:255',
            'type' => 'sometimes|in:fields,bom',
            'description' => 'sometimes|nullable|string',
            'is_default' => 'sometimes|nullable|boolean',
        ];
    }
}
